#!/usr/bin/env python

import mimetypes

import web

import musicdb
        
urls = (
    '/', 'index',
    '/musicdb.json', 'gen_musicdb',
    '/media/(.+)', 'stream_media'
)

app = web.application(urls, globals())
render = web.template.render('templates/')

class index:
    def GET(self):
        return render.index()

class gen_musicdb:
    def GET(self):
        web.header('Content-Type','application/json')
        return musicdb.create_json('media')

class stream_media:
    def GET(self, path):
        length = musicdb.parse_metadata('media/' + path)[4]
        web.header('X-Content-Duration', length)
        web.header('Content-Type', mimetypes.guess_type(path)[0]) 
        f = open('media/' + path, 'rb')
        return f.read()

if __name__ == "__main__":
    app.run()
