Ext.Loader.setConfig({enabled: true});
Ext.application({
	name: 'Music',
	appFolder: 'static/app',
	controllers: ['Player'],

	launch: function() {
		Ext.create('Ext.container.Viewport', {
			layout: 'border',
			items: [
				// I'd rather use flex to dynamically size the panels, but it doesn't seem to play well with
				// minHeight - the panel can end up being smaller.
				{xtype: 'musiclist', region: 'center', collapsible: false},
				{xtype: 'playlist', region: 'south', collapsible: true, split: true, height: 250, minHeight: 250}
			]
		});
	}
});

// Utils
Ext.namespace('Diapason.utils');

Diapason.utils.secondsToHms = function (d) {
	d = Number(d);
	var h = Math.floor(d / 3600);
	var m = Math.floor(d % 3600 / 60);
	var s = Math.floor(d % 3600 % 60);
	return ((h > 0 ? h + ":" : "") + (m > 0 ? (h > 0 && m < 10 ? "0" : "") + m + ":" : "0:") + (s < 10 ? "0" : "") + s);
};
