Ext.define('Music.view.music.List', {
	extend: 'Ext.tree.Panel',
	alias: 'widget.musiclist',
	store: 'Songs',
	title: 'All music',
	multiSelect: true,
	rootVisible: false,
	viewConfig: {
		plugins: {
			ptype: 'gridviewdragdrop',
			dragText: 'Drag song(s) to the playlist',
			ddGroup: 'playlistDrag',
			enableDrop: false
		},
		copy: true
	},
	tbar: [
		{xtype: 'button', text: 'Add to playlist', action: 'addToPlaylist'},
		{xtype: 'button', text: 'Download', action: 'download'},
	],

	initComponent: function() {	
		this.columns = [
			{xtype: 'treecolumn', header: 'Name',  dataIndex: 'name',  flex: 4},
			{header: 'Artist', dataIndex: 'artist', flex: 2},
			{header: 'Album', dataIndex: 'album', flex: 2},
			{header: 'Track #', dataIndex: 'tracknumber', hidden: true, flex: 1},
			{
				header: 'Length', dataIndex: 'length', flex: 1,
				renderer: function(value) {
					return value ? Diapason.utils.secondsToHms(value) : '';
				}
			},
			{
				header: 'Bitrate', dataIndex: 'bitrate', flex: 1,
				renderer: function (value) {
					return value ? value / 1000 + ' kbps' : '';
				}
			}
		];

		this.callParent(arguments);
	}
});
